ProduceTransfer (The Data Transfer Scheduler Service 2.0.0-4.7.1-126202 API)
Date: 2017-10-17

org.gcube.datatransfer.scheduler.impl.newhandler

## Class ProduceTransfer

- java.lang.Object
- - java.lang.Thread
  - - org.gcube.datatransfer.scheduler.impl.newhandler.ProduceTransfer

- All Implemented Interfaces:
    Runnable

      public class ProduceTransfer
      extends Thread

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProduceTransfer(String transferId, org.gcube.common.core.state.GCUBEWSResource ws, boolean isPeriodically)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fileBasedProcess()`
    `void` | `run()`
    `void` | `sleepSixSec()`
    `void` | `treeBasedProcess()`
    `void` | `updateStartTimeInTransfer()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProduceTransfer

          public ProduceTransfer(String transferId,
                         org.gcube.common.core.state.GCUBEWSResource ws,
                         boolean isPeriodically)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### fileBasedProcess

          public void fileBasedProcess()

    - #### treeBasedProcess

          public void treeBasedProcess()

    - #### updateStartTimeInTransfer

          public void updateStartTimeInTransfer()

    - #### sleepSixSec

          public void sleepSixSec()

Copyright © 2017. All Rights Reserved.